curl --request GET \
--url https://app.silnahealth.com/api/public/v2/benefits-checks/{benefits_check_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v2/benefits-checks/{benefits_check_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v2/benefits-checks/{benefits_check_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "REQUESTED",
"patient_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"specialty_fields": [
{
"specialty": "PHYSICAL_THERAPY",
"copay_fields": [
{
"value": 123,
"modifier": null
}
],
"coinsurance_fields": [
{
"value": 123,
"modifier": null
}
],
"deductible": null,
"out_of_pocket": null,
"visit_limits": [
{
"value": 123,
"visits_met": 123,
"modifier": null
}
],
"dollar_limits": [
{
"value": 123,
"dollars_used": 123,
"modifier": null
}
],
"authorization_requirements": [
{
"value": false,
"modifier": null
}
],
"referral_requirements": [
{
"value": false,
"modifier": null
}
],
"exclusions": [
{
"value": false,
"modifier": null
}
],
"reimbursement_rate": null,
"medicare_dollars_used": null,
"exclusions_and_limitations": null,
"patient_cost_estimates": [
{
"cost_estimate_name": "<string>",
"cost_of_service": "<string>",
"cost_of_service_duration": null
}
]
}
],
"eligibility_status": null,
"ineligibility_reason": null,
"reference": null,
"note": null,
"insurance_type": null,
"date_verified": null,
"network_status": null,
"plan_type": null,
"plan_start_date": null,
"plan_end_date": null,
"group_number": null,
"patient_information": null,
"other_payor_information": null,
"other_payor_entity_name": null,
"independent_physician_association_name": null,
"is_qualified_medicare_beneficiary": null,
"silna_url": null
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}Get Benefits Check V2
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Benefits Check ID
Benefits Check Status
REQUESTED, AWAITING_SILNA, AWAITING_PROVIDER, COMPLETE, WITHDRAWN Patient Plan ID
Patient ID
Provider ID
Created at timestamp
Specialty specific benefits data
Show child attributes
Show child attributes
Eligibility Status
ELIGIBLE, INELIGIBLE Reason for ineligibility
PLAN_INACTIVE, PATIENT_HAS_OUT_OF_NETWORK_IPA, PLAN_HAS_TERMINATED, MBI_TERMINATED, NO_MEDICARE_PART_B_COVERAGE, MEMBER_NUMBER_MISMATCH, SPECIALTY_NOT_COVERED, PATIENT_HAS_OTHER_INSURANCE, NO_OUT_OF_NETWORK_BENEFITS, HAS_ACTIVE_HOME_PLAN, ENROLLED_IN_HOSPICE, PROVIDER_PLACE_OF_SERVICE_NOT_COVERED, PATIENT_DECEASED Reference number
Note
Insurance type
COMMERCIAL, MEDICARE, MEDICAID, REGIONAL_CENTER, WORKERS_COMPENSATION, AUTO_INSURANCE Date verified
Network status
IN_NETWORK, OUT_OF_NETWORK Plan type
Plan start date
Plan end date
Plan group ID
Patient information
Show child attributes
Show child attributes
Other payor information
Show child attributes
Show child attributes
Name of the other insurance payor entity when ineligibility reason is patient has other insurance
Name of the Independent Physician Association (IPA) managing the provider network for the patient's plan
Whether the patient is a Qualified Medicare Beneficiary (QMB)
Silna benefits check URL